package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * 实时运行-有功无功功率数据
 *
 */
public class EnergyStoragePowVo {
    /**
     * 游标显示日期
     */
    private String dateDay;

    /**
     * 显示日期
     */

    private String createDate;

    /**
     * pcs实时有功功率
     */
    private BigDecimal pcsTotalActPower;

    /**
     * pcs实时无功功率
     */
    private BigDecimal pcsTotalReactivePower;

    private String deviceId;

    private String groupTime;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public BigDecimal getPcsTotalActPower() {
        return pcsTotalActPower;
    }

    public void setPcsTotalActPower(BigDecimal pcsTotalActPower) {
        this.pcsTotalActPower = pcsTotalActPower;
    }

    public BigDecimal getPcsTotalReactivePower() {
        return pcsTotalReactivePower;
    }

    public String getDateDay() {
        return dateDay;
    }

    public void setDateDay(String dateDay) {
        this.dateDay = dateDay;
    }

    public String getGroupTime() {
        return groupTime;
    }

    public void setGroupTime(String groupTime) {
        this.groupTime = groupTime;
    }

    public void setPcsTotalReactivePower(BigDecimal pcsTotalReactivePower) {
        this.pcsTotalReactivePower = pcsTotalReactivePower;
    }
}
